Reactor Dependency Convergence

Legend:
[Error] At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 3
Number of dependencies (NOD): 48
Number of unique artifacts (NOA): 56
Number of version-conflicting artifacts (NOC): 3
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA): [Error] 85 %
Ready for release (100% convergence and no SNAPSHOTS): [Error] Error
You do not have 100% convergence.

Dependencies used in modules

com.google.guava:guava

[Error]
16.0.1
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-core:jar:3.3.9:compile
       \- com.google.inject:guice:jar:no_aop:4.0:compile
          \- (com.google.guava:guava:jar:16.0.1:compile - omitted for conflict with 18.0)

18.0
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-core:jar:3.3.9:compile
       \- org.apache.maven:maven-model-builder:jar:3.3.9:compile
          \- com.google.guava:guava:jar:18.0:compile

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 1.6)

1.6
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    +- org.apache.maven:maven-core:jar:3.3.9:compile
    |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
    |  +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
    |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile - omitted for conflict with 1.5.5)
    |  \- org.codehaus.plexus:plexus-component-annotations:jar:1.6:compile
    \- org.apache.maven:maven-compat:jar:3.3.9:test
       \- (org.codehaus.plexus:plexus-component-annotations:jar:1.6:test - omitted for duplicate)

org.codehaus.plexus:plexus-utils

[Error]
1.0.4
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- org.codehaus.plexus:plexus-container-default:jar:1.0-alpha-9-stable-1:test
             \- (org.codehaus.plexus:plexus-utils:jar:1.0.4:test - omitted for conflict with 3.0.22)

1.5.5
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-core:jar:3.3.9:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.0.22)

3.0
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- org.codehaus.plexus:plexus-io:jar:2.0.4:test
             \- (org.codehaus.plexus:plexus-utils:jar:3.0:test - omitted for conflict with 3.0.22)

3.0.15
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-compat:jar:3.3.9:test
       \- org.apache.maven.wagon:wagon-provider-api:jar:2.10:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.15:test - omitted for conflict with 3.0.22)

3.0.17
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.2:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.0.22)

3.0.22
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    +- org.apache.maven:maven-plugin-api:jar:3.3.9:compile
    |  \- org.apache.maven:maven-model:jar:3.3.9:compile
    |     \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    +- org.apache.maven:maven-core:jar:3.3.9:compile
    |  +- org.apache.maven:maven-settings:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.3.9:compile
    |  |  +- org.apache.maven:maven-builder-support:jar:3.3.9:compile
    |  |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-repository-metadata:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-aether-provider:jar:3.3.9:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.0.22:compile
    +- org.apache.maven:maven-artifact:jar:3.3.9:test
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)
    \- org.apache.maven:maven-compat:jar:3.3.9:test
       \- (org.codehaus.plexus:plexus-utils:jar:3.0.22:test - omitted for duplicate)

3.0.7
  1. net.sourceforge.javadpkg:dpkg-maven-plugin:maven-plugin:1.0.0
    \- org.apache.maven.plugin-testing:maven-plugin-testing-harness:jar:3.3.0:test
       \- org.codehaus.plexus:plexus-archiver:jar:2.2:test
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.7:test - omitted for conflict with 3.0.22)